﻿.pickup-store-stock-search-area {
	margin: 1.5rem 0 0;
	padding: 2rem 1.5rem 3rem;
}
.pickup-store-stock-search-area:not(:has(.satellite-store__store-information-container)) .m-mystore-page__type-select,
.pickup-store-stock-search-area:not(:has(.satellite-store__store-information-container)) .button-area--service,
.pickup-store-stock-search-area:not(:has(.satellite-store__store-information-container)) .satellite-store__text--free-text{
	display: none;
}
.pickup-store-stock-search-area__inner{
}
@media screen and (min-width: 768px) {
  .pickup-store-stock-search-area {
    margin: 2.5rem 0 0;
    padding: 3rem 7rem;
  }
	.favorite-store-stock-display-area{
		margin: 2rem 0;
		padding: 0;
	}
	.map-search-area{
		margin-top: 3rem;
	}

	.store-location__detail-item {
		flex: 0 0 auto; /* flex-grow: 0, flex-shrink: 0, flex-basis: auto */
		margin-left: 20px; /* 左側に20pxの余白 */
	}
}

@media screen and (max-width: 767px) {
	.favorite-store-stock-display-area{
		margin: 3rem 0;
	}
	.map-search-area{
		margin-top: 2rem;
		padding-top: 2rem;
		border-top: 2px solid var(--border-color-stocklist-main);
	}

	.store-location__detail-item {
		flex: 0 0 auto; /* flex-grow: 0, flex-shrink: 0, flex-basis: auto */
		margin-left: 5px; /* 左側に5pxの余白 */
	}
}

.satellite-store-stock-detail-margin {
	margin: 0 auto;
}

/* .btn-Base-contents {
	width: 50% !important;
} */

.btn-icon-back::before {
	content: "";
	display: block;
	width: 0.9rem;
	height: 1.7rem;
	margin-top: 0.2rem;
	margin-right: 1rem;
	background-image: url("../Contents/ImagesPkg/common/btn_icon_back.svg");
	background-size: 100%;
	background-repeat: no-repeat;
}

.btn-icon-back:hover::before {
	background-image: url("../Contents/ImagesPkg/common/btn_icon_back_hover.svg");
}

/* ▽店舗在庫検索エリア▽ */
.pickup-store-stock-search-container {
	max-width: 60rem;
	width: 90%;
}

/* .search-store-title, .favorite-store-list-title {
	font-size: 1.9rem;
	font-weight: 400;
	margin-top: 2.5rem;
} */

.pickup-store-stock-search-area select {
	display: inline;
	width: 100%;
	max-width: 30rem;
	height: 4rem;
	min-height: 4rem;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	padding: 0 2rem;
	background: url(../Contents/ImagesPkg/common/icon_brackets_under.svg) calc(100% - 2rem) center no-repeat #FFFFFF;
	background-size: auto;
	background-size: 1.4rem auto;
	border: 1px solid #000000;
	border-radius: 4px;
	vertical-align: middle;
	line-height: calc(4rem - 2px);
	font-size: 1.4rem;
	letter-spacing: 0.1rem;
	text-align: left;
	outline: none;
	cursor: pointer;
}

.store-title{
	margin: 1rem 0;
}
.store-title:empty{
	display: none;
}
.store-location__detail {
	display: flex;
	flex-wrap: wrap;
	align-content: space-around;
}

.store-location__detail-item:first-child {
	margin-left: 0; /* 最初の要素には余白を適用しない */
}

.store-location__detail-item:last-child {
	margin-left: auto; /* 一番右の要素を右端に配置 */
}

.stock-mark{
	font-weight: bold;
}

.safety-stock-mark{
	color: red;
}
.invalid-store-message{
	margin-top: 1rem;
	display: block;
}
.invalid-store-message a {
	color: var(--color-secondary);
	text-decoration: underline;
}
/* △店舗在庫検索エリア△ */




/* ===============================================
	* サテライト対応 *
=============================================== */
:root{
	--border-color-stocklist-main: #F2F2F2;
}
.satellite-store-stock-detail-container {
	/* --padding-vertical-general: 2rem;
	--padding-horizontal-general: 1.5rem; */
	--border-style-general: solid 1px var(--color-light-gray, #eee);
	padding-bottom: 4.4rem;
}
.satellite-store-stock-detail-head,
.satellite-store-stock-detail-section-container{
	--padding-vertical-general: 2rem;
	--padding-horizontal-general: 1.5rem;
}
.satellite-store-stock-detail-head{
	border-bottom: 5px solid var(--border-color-stocklist-main);
}
.satellite-store-stock-detail-section-container{
	padding-bottom: 0;
}
@media (min-width: 768px) {
	.satellite-store-stock-detail-container {
		/* --padding-vertical-general: 3rem;
		width: min(100%, 100rem); */
		margin-inline: auto;
	}
	.satellite-store-stock-detail-head,
	.satellite-store-stock-detail-section-container{
		--padding-vertical-general: 3rem;
		width: min(100%, 100rem);
		margin-inline: auto;
		padding-bottom: 3rem;
	}
	.satellite-store-stock-detail-section-container{
		padding-bottom: 0;
	}
}

.satellite-store__title-container {
	display: grid;
	grid-template-areas: ". page-title back-button";
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	justify-content: center;
	column-gap: var(--padding-horizontal-general);
	padding: var(--padding-vertical-general) var(--padding-horizontal-general);
	border-bottom: var(--border-style-general);
}

@media (min-width: 768px) {
	.satellite-store__title-container {
		padding-inline: 0;
	}
}

.satellite-store__button-back {
	grid-area: back-button;
	display: flex;
	justify-content: flex-end;
}
.satellite-store__button-back svg{
	width: 3.5rem;
}

@media (min-width: 768px) {
	.satellite-store__button-back {
		font-size: 1.5rem;
	}
}


.satellite-store__text--page-title {
	grid-area: page-title;
	font-size: 1.7rem;
	font-weight: bold;
}

@media (min-width: 768px) {
	.satellite-store__text--page-title {
		font-size: 2rem;
	}
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-margin {
		width: 100%;
		max-width: none;
	}
}
.satellite-store-stock-detail-container .product__info--name-area{
	padding: var(--padding-vertical-general);
}
.satellite-store-stock-detail-container .product__info--name {
	width: 100%;
	margin: 0;
	padding-bottom: 1.3rem;
	border-bottom: dotted 1px var(--color-font);
	font-size: 1.5rem;
	font-weight: bold;
	line-height: 1.5;
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .product__info--name {
		padding-inline: 0;
	}
}

.satellite-store-stock-detail-container .product__variation {
	margin: 0;
	border: none;
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .product__variation > *:last-child {
		border-bottom: none !important;
	}
}

.satellite-store-stock-detail-container .product__variation--inner {
	display: grid;
	row-gap: .8rem;
	padding-block: var(--padding-vertical-general);
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .product__variation--inner {
		padding-block: var(--padding-vertical-general);
	}
}

.satellite-store-stock-detail-container .product__variation .variation__item {
	border: none;
	/* border-bottom: 5px solid var(--border-color-stocklist-main); */
}

.satellite-store-stock-detail-container .product__variation--nametag {
	display: flex;
	align-items: center;
	column-gap: 1rem;
	width: 100%;
	margin: 0;
	padding-inline: var(--padding-horizontal-general);
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .product__variation--nametag {
		padding-inline: 0;
	}
}

.satellite-store-stock-detail-container .satellite-store__product-slider {
	width: 100vw;
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .satellite-store__product-slider {
		width: 100%;
	}
}

.satellite-store-stock-detail-container .satellite-store__product-slider-inner {
	gap: var(--slides-gap, 1rem);
	margin: 0;
	padding-inline: var(--padding-horizontal-general);
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .satellite-store__product-slider-inner {
		padding-inline: 0;
	}
}

.satellite-store-stock-detail-container .satellite-store__product-slider-slide {
	flex-shrink: 0;
	width: var(--slide-width, 7.5rem);
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .satellite-store__product-slider-slide {
		width: var(--slide-width, 10rem);
	}
}

.satellite-store-stock-detail-container .product__variation .variation-name-text {
	margin: 0;
}

.satellite-store-stock-detail-container .product__variation .swiper {
	width: 100%;
	padding: 0;
}

/* .satellite-store-stock-detail-container .product__variation .product__variation--selectors .product__variation--panel {
	width: auto;
} */

.satellite-store-stock-detail-container .product__variation--size .satellite-store__product-slider {
	--slides-gap: .5rem;
	--slide-width: 8rem;
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-container .product__variation--size .satellite-store__product-slider {
		--slides-gap: 1rem;
		--slide-width: 13.4rem;
	}
}

.satellite-store-stock-detail-container .product__variation--panel a {
	width: auto;
	min-width: 0;
}

.satellite-store-stock-detail-container .product__variation--panel.selected a {
	border-color: var(--color-secondary);
}

.satellite-store-stock__label {
	display: flex;
	flex-wrap: wrap;
	gap: .3rem;
}

.satellite-store-stock__label span {
	display: grid;
	place-content: center;
	background-color: var(--color-secondary);
	color: #fff;
	font-size: 1.1rem;
	line-height: 1;
	padding: .5rem .5rem .3rem;
	border-radius: 2px;
	font-weight: 500;
}

.pickup-store-stock-search-container {
	width: 100%;
	max-width: none;
	padding: 2rem 0 0;
}

@media (min-width: 768px) {
	.pickup-store-stock-search-container {
		padding: 3rem 0 0;
	}
}

/* .pickup-store-stock-search-container .search-store-title, .favorite-store-list-title {
	margin: 0;
	font-size: 1.6rem;
	font-weight: bold;
}

@media (min-width: 768px) {
	.pickup-store-stock-search-container .search-store-title, .favorite-store-list-title {
		font-size: 1.8rem;
		text-align: center;
	}
} */

/* .pickup-store-stock-search-container .pickup-store-stock-search-area{
	margin-block: 1rem 0;
	padding: 2rem;
	border: none;
	border-radius: 2rem;
} */


@media (min-width: 768px) {
  .pickup-store-stock-search-container
	.pickup-store-stock-search-area{
    margin-top: 3rem;
    padding: 4rem;
  }

}

.mt0{
	margin-top: 0rem !important;	
}

.satellite-store__select-prefecture-container {
	--select-arrow-size: 2rem;
	display: grid;
	row-gap: 1.7rem;
}

@media (min-width: 768px) {
	.satellite-store__select-prefecture-container {
		align-items: center;
		grid-template-columns: 49rem auto;
		justify-content: center;
		gap: 12rem;
	}

	.map-search-container{
		width: min(100%, 100rem);
		margin-inline: auto;
		display: grid;
		grid-template-columns: 49rem auto;
		column-gap: 12rem;
		justify-content: center;
		align-items: center;
	}
	.map-search-container::after{
		content: "";
		width: 14.9rem;
	}
}

.satellite-store__select-prefecture-container dt {
	font-size: 1.4rem;
	font-weight: bold;
}

@media (min-width: 768px) {
	.satellite-store__select-prefecture-container dt {
		font-size: 1.6rem;
	}
}

.satellite-store__select-prefecture-container select {
	display: block;
	width: 100%;
	max-width: none;
	/* padding-inline: 1.5rem calc((1.5rem + var(--select-arrow-size)) - .6rem); */
	padding-inline: 1.5rem calc(1.5rem + var(--select-arrow-size));
	background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20id%3D%22arrow%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%220%200%2040%2040%22%3E%20%3Crect%20width%3D%2240%22%20height%3D%2240%22%20fill%3D%22rgba(255%2C255%2C255%2C0)%22%2F%3E%20%3Cpath%20d%3D%22M10%2C20%2C0%2C10%2C10%2C0%22%20transform%3D%22translate(10.5%2025.5)%20rotate(-90)%22%20fill%3D%22none%22%20stroke%3D%22%2320AFC9%22%20stroke-linejoin%3D%22round%22%20stroke-width%3D%224%22%2F%3E%3C%2Fsvg%3E');
	background-repeat: no-repeat;
	background-size: var(--select-arrow-size) var(--select-arrow-size);
	background-position: right .9rem center;
	border-color: #20AFC9;
	border-radius: .5rem;
}

@media (min-width: 768px) {
	.satellite-store__select-prefecture-container select {
		height: 4.4rem;
	}
}

.satellite-store__store-information-container{
	background-color: #fff;
	padding: 2rem;
	border: 1px solid #EEEEEE;
}
.satellite-store__store-information-container:not([style*="display: none;"]) {
	margin-top: 2rem;
}

/* @media (min-width: 768px) {
	.satellite-store__store-information-container:not([style*="display: none;"]) {
		margin-top: 4rem;
	}
} */

.satellite-store__store-information-container .store-title {
	margin: 0;
	padding-bottom: 1rem;
	/* border-bottom: solid 1px #000; */
	font-size: 1.4rem;
	font-weight: bold;
	line-height: 1.6;
}

@media (min-width: 768px) {
	.satellite-store__store-information-container .store-title {
		font-size: 1.6rem;
	}
}

.satellite-store__store-information-detail-wrapper {
	display: grid;
	grid-template-areas: "store-text store-stock" "store-pickup store-pickup";
	grid-template-columns: 1fr 8rem;
	gap: .7rem 1.5rem;
	align-items: center;
	padding-block: 2rem;
}
.satellite-store__store-information-detail-wrapper + .satellite-store__store-information-detail-wrapper{
	border-top: 1px dotted var(--color-font);
}

@media (min-width: 768px) {
	.satellite-store__store-information-detail-wrapper {
		grid-template-areas: "store-text store-stock store-pickup";
		grid-template-columns: 1fr 15rem 24rem;
	}
}

.satellite-store__store-information-text-wrapper {
	grid-area: store-text;
	display: grid;
	gap: .4rem .8rem;
}

@media (min-width: 768px) {
	.satellite-store__store-information-text-wrapper {
		grid-template-areas: "store-detail-name store-detail-free" "store-detail-address store-detail-free";
	}
}

.satellite-store__item--name {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	gap: 0.8rem;
}

.satellite-store__text--store-name {
	font-size: 1.6rem;
	line-height: 1.5;
	font-weight: bold;
}

@media (min-width: 768px) {
	.satellite-store__text--store-name {
		grid-area: store-detail-name;
		font-size: 1.8rem;
	}
}

.satellite-store__item--url {
	align-items: flex-end;
}

.satellite-store__item--link-url {
	display: block;
	width: fit-content;
	font-size: 1.4rem;
	text-decoration: underline;
	color: #888;
	font-weight: normal;
}

@media (min-width: 768px) {
	.satellite-store__item--link-url {
		grid-area: store-detail-name;
		display: block;
		width: fit-content;
		font-size: 1.2rem;
		text-decoration: underline;
		color: #888;
		font-weight: normal;
	}
}

.satellite-store__text--store-address {
	font-size: 1.2rem;
	line-height: 1.5;
}

@media (min-width: 768px) {
	.satellite-store__text--store-address {
		grid-area: store-detail-address;
		font-size: 1.3rem;
	}
}

.satellite-store__select-prefecture-area {
	display: flex;
}

.satellite-store__text--free-text {
	margin-top: 1rem;
	font-size: 1.3rem;
	line-height: 1.5;
}

@media (max-width: 767px) {
	.satellite-store__select-prefecture-area {
		flex-flow: column;
	}
	.satellite-store__item--name {
		display: block;
	}
}

@media (min-width: 768px) {
	.satellite-store__text--free-text {
		grid-area: store-detail-free;
	}
}

.satellite-store__store-stock-wrapper {
	grid-area: store-stock;
	margin: 0;
}

[class*="satellite-store__store-stock--"] {
	display: grid;
	justify-items: center;
	text-align: center;
	font-size: 1.1rem;
	line-height: 1.6;
}

@media (min-width: 768px) {
	[class*="satellite-store__store-stock--"] {
		font-size: 1.1rem;
		br {
			display: none;
		};
	}
}

.satellite-store__store-stock--empty {
}

[class*="satellite-store__store-stock--"] .stock-mark {
	width: 3rem;
	aspect-ratio: 1;
}

@media (min-width: 768px) {
	[class*="satellite-store__store-stock--"] .stock-mark {
		width: 4rem;
	}
}

[class*="satellite-store__store-stock--"] .stock-mark svg {
	height: auto;
}

.satellite-store__store-pickup-container {
	grid-area: store-pickup;

	margin-top: 1rem;
	display: grid;
	gap: 1rem;
}
@media (min-width: 768px) {
	.satellite-store__store-pickup-container {
		margin-top: 0;
	}
}


/* .satellite-store__store-pickup-container > *{
	display: grid;
	row-gap: .7rem;
	justify-content: center;
} */
/* .satellite-store__store-pickup-container{
	display: grid;
	row-gap: .7rem;
	justify-content: center;
} */

.satellite-store__text--attention {
	color: #C32323;
	font-size: 1.1rem;
	line-height: 2.2;
	text-align: center;
}

@media (min-width: 768px) {
	.satellite-store__text--attention {
		font-size: 1.2rem;
	}

}

.satellite-store__text--invalid {
	color: #888;
}

.satellite-store__button--select {
	display: grid;
	place-content: center;
	width: 100%;
	height: 4rem;
	background-color: var(--color-tertiary);
	border-radius: 5rem;
	color: var(--color-font);
	font-size: 1.5rem;
	font-weight: 500;
}
.button-area-shop-select{
	margin-top: 1rem;
	display: grid;
	gap: 1rem;
}
.satellite-store__button--select[disabled="disabled"] {
	background: #A8A8A8;
	border-color: #A8A8A8;
	color: #fff;
	pointer-events: none;
	/* display: none; */
}

/* .pickup-store-stock-search-container .satellite-store__button--select[disabled="disabled"]{
	display: none;
} */

  @media (min-width: 768px) {
	.satellite-store__button--select {
		width: 24rem;
		height: 5rem;
		font-size: 1.6rem;
	}
	.button-area-shop-select{
		margin-top: 0;
	}
}

.satellite_store__add_mystore_button--select {
  display: grid;
  place-content: center;
  width: 100%;
  height: 4rem;
  background-color: var(--color-secondary);
  border-radius: 5rem;
  color: #fff;
  font-size: 1.5rem;
  font-weight: 500;
}

  .satellite_store__add_mystore_button--select[disabled="disabled"] {
    background: #A8A8A8;
    border-color: #A8A8A8;
    color: #fff;
		pointer-events: none;
		/* display: none; */
  }

@media (min-width: 768px) {
  .satellite_store__add_mystore_button--select {
    width: 24rem;
    height: 5rem;
    font-size: 1.6rem;
  }
}

/* .satellite-store__store-information-container dd > *:not(:last-of-type) {
	border-bottom: 1px dotted var(--color-font);
} */


.satellite-store__button-container {
	padding: 2.5rem var(--padding-horizontal-general);
}

@media (min-width: 768px) {
	.satellite-store__button-container {
		padding-block: 0;
	}
}

.satellite-store__button-container .btn-Base-contents {
	column-gap: 1rem;
	width: 15rem;
	height: 3.5rem;
}

.satellite-store__button-container .btn-Base-contents::before {
	justify-self: flex-end;
	width: .5rem;
	height: auto;
	aspect-ratio: 1 / 2;
	margin: 0;
}

@media (min-width: 768px) {
	.satellite-store__button-container .btn-Base-contents {
		width: 15rem;
		height: 4rem;
		font-size: 1.5rem;
	}
}

/* #map-wrapper {
  position: fixed !important;
  top: 50%;
  transform: translate(-50%, -50%) !important;
  width: min(90%, 800px) !important;
  z-index: 100001;
  background: #fff;
} */
.m-mystore-modal{
	position: fixed;
}
.pickup-store-stock-search-area .m-mystore__item--view-map{
	font-size: 1.2rem;
}

.satellite-store-stock-detail-section__heading{
	font-size: 1.8rem;
	line-height: 1;
	padding-bottom: 2rem;
	padding-inline: 1.5rem;
}
.satellite-store-stock-content{
	padding-inline: 1.5rem;
}
.satellite-store-stock-content-full{

}
.satellite-store-stock-content__inner{
	padding-block: 1.5rem 2rem;
	border-block: 2px solid var(--border-color-stocklist-main);
}
.satellite-store-stock-content-full__inner{
	padding-block: 2rem 0;
}
@media (min-width: 768px) {
	.satellite-store-stock-content-full__inner{
		padding-block: 3rem 0;
	}
}
.satellite-store-stock-content__title{
	font-size: 1.6rem;
	line-height: 1;
}
.favorite-store-change-area{
}
.link-text--underline{
	color: var(--color-secondary);
	text-align: center;
	font-size: 1.4rem;
	line-height: 1.3;
	display: block;
}
.satellite-store-stock-content__shop-notice{
	margin-top: 1rem;
	font-size: 1.2rem;
	line-height: 1.5;
	color: #888888;
}
.button-map-modal{
	display: grid;
	place-content: center;
	width: 100%;
	height: 4rem;
	border: 2px solid var(--color-secondary);
	border-radius: 4rem;
	color: var(--color-secondary);
	font-size: 1.4rem;
	font-weight: 500;
	position: relative;
	margin-inline: auto;
}
.button-map-modal::before{
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	left: 1.76rem;
	margin-block: auto;
	display: block;
	width: 1.241rem;
	height: 1.467rem;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20id%3D%22MAP%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2221.333%22%20viewBox%3D%220%200%2016%2021.333%22%3E%20%3Cpath%20id%3D%22%E3%83%91%E3%82%B9_22196%22%20data-name%3D%22%E3%83%91%E3%82%B9%2022196%22%20d%3D%22M7.788%2C21.334h0C7.731%2C21.254%2C2.124%2C13.408.85%2C10.992a7.325%2C7.325%2C0%2C0%2C1%2C1.522-8.82A8.115%2C8.115%2C0%2C0%2C1%2C7.948%2C0l.17%2C0a8.171%2C8.171%2C0%2C0%2C1%2C6.163%2C2.932A7.434%2C7.434%2C0%2C0%2C1%2C16%2C7.772a7.226%2C7.226%2C0%2C0%2C1-.852%2C3.308c-1.312%2C2.469-7.3%2C10.175-7.358%2C10.253ZM7.95%2C5.715A2.244%2C2.244%2C0%2C0%2C0%2C5.83%2C7.609a2.72%2C2.72%2C0%2C0%2C0%2C.247%2C1.826A2.206%2C2.206%2C0%2C0%2C0%2C7.45%2C10.573a1.981%2C1.981%2C0%2C0%2C0%2C.5.067%2C2.247%2C2.247%2C0%2C0%2C0%2C2.123-1.894%2C2.723%2C2.723%2C0%2C0%2C0-.248-1.826A2.206%2C2.206%2C0%2C0%2C0%2C8.456%2C5.782%2C1.957%2C1.957%2C0%2C0%2C0%2C7.95%2C5.715Z%22%20transform%3D%22translate(0%20-0.001)%22%20fill%3D%22%2320afc9%22%2F%3E%3C%2Fsvg%3E');
	background-color: var(--color-secondary);
}

/* チェックボックスのアイコン */
.checkbox--instock-only{
	display: flex;
	justify-content: flex-end;
	gap: .5rem;
}
.checkbox--instock-only input {
  position: relative;
  width: 1.8rem;
  height: 1.8rem;
  appearance: none;
  background: #FFFFFF;
  border: solid 1px var(--color-font);
  border-radius: 2px;
	font-size: 1.4rem;
	line-height: 1;
}
/* チェックマーク */
.checkbox--instock-only input:before {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	margin: auto;
	display: block;
	border-radius: 2px;
	width: 1.2rem;
	height: 1.2rem;
	content: "";
	background-color: #FFFFFF;
}
.checkbox--instock-only input:checked:before{
	background-color: var(--color-secondary);
}

.border-top {
  border-top: 2px solid var(--border-color-stocklist-main);
  padding-bottom: 2rem;
  width: min(100rem);
  margin-inline: auto;
}

.mb2{
	margin-bottom: 3rem;
}

@media (min-width: 768px) {
	.satellite-store-stock-detail-section__heading{
		font-size: 2rem;
		text-align: center;
		padding-bottom: 0;
		padding-inline: 0;
	}
	.satellite-store-stock-detail-section-container .satellite-store-stock-detail-section__heading{
		margin-bottom: 2rem;
	}

	.satellite-store-search-by-map-area {
		width: 100% !important;
		margin: 2rem 0 0 0 !important;
  	}

	.satellite-store-stock-content{
		padding-inline: 0;
	}
	.satellite-store-stock-content__inner{
		padding-block: 2rem 3rem;
		padding-inline: 0;
	}
	.satellite-store-stock-content__title{
		width: min(100rem);
		margin-inline: auto;
		font-size: 1.8rem;
		text-align: left;
	}
	.link-text--underline{
		font-size: 1.6rem;
	}
	.satellite-store-stock-content__shop-notice{
		margin-top: 2rem;
		font-size: 1.3rem;
		text-align: center;
	}
	.button-map-modal{
		max-width: 40rem;
		height: 5rem;
		font-size: 1.8rem;
		cursor: pointer;
	}
	.button-map-modal::before{
		left: 1.8rem;
		width: 1.6rem;
		height: 2.133rem;
	}
}




.m-mystore-page__type-select{
	width: 100%;
}
.m-mystore-page__type-select tr{
  margin-top: 1.5rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0.5rem;
}

.m-mystore-page__type-select :where(td){
  position: relative;
}

.m-mystore-page__type-select :where(input){
  width: 2rem;
  height: 2rem;
  position: absolute;
  left: 1rem;
  top: 50%;
  translate: 0% -50%;
}

.m-mystore-page__type-select :where(input:checked){
  background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2219%22%20height%3D%2219%22%20viewBox%3D%220%200%2019%2019%22%3E%20%3Cg%20transform%3D%22translate(-41%20-476)%22%3E%20%3Crect%20width%3D%2219%22%20height%3D%2219%22%20transform%3D%22translate(41%20476)%22%20fill%3D%22rgba(255%2C255%2C255%2C0)%22%2F%3E%20%3Cpath%20d%3D%22M39.128%2C480.434l5.739%2C5.739%2C8.261-8.261%22%20transform%3D%22translate(4.372%203.586)%22%20fill%3D%22none%22%20stroke%3D%22%23fff%22%20stroke-width%3D%223%22%2F%3E%20%3C%2Fg%3E%3C%2Fsvg%3E');
  background-repeat: no-repeat;
  background-size: 100%;
  background-color: var(--color-primary);
}

.m-mystore-page__type-select :where(label){
  padding: 0;
  width: 100%;
  height: 3.5rem;
  font-size: 1.4rem;
  font-weight: 600;
  letter-spacing: 0;
  line-height: 1;
  display: grid;
  place-content: center;
  border-radius: 0.4rem;
  background-color: var(--color-button-gray);
  color: #fff;
}

.m-mystore-page__type-select :where(input:checked + label){
  background-color: var(--color-primary);
}

.m-mystore__service-link{
  margin: 2rem 0 0 auto;
  display: flex;
  align-items: center;
  gap: 0.8rem;
  width: fit-content;
}

.m-mystore__service-link--text{
  font-size: 1.3rem;
  font-weight: 400;
  letter-spacing: 0;
  line-height: 1;
  text-decoration: underline;
}

.button-area--service{
	margin-top: 1.6rem;
}
.icon-link--service{
	display: grid;
	grid-template-columns: 1.8rem auto;
	align-items: center;
	gap: .8rem;
	text-decoration: underline;
	color: var(--color-font);
	font-size: 1.3rem;
	line-height: 1;
	width: fit-content;
	margin-inline: auto 0;
}
.icon-link--service::before{
	content: '';
	width: 1.8rem;
	height: 1.8rem;
	background-repeat: no-repeat;
	background-size: contain;
	background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2218%22%20height%3D%2218%22%20viewBox%3D%220%200%2018%2018%22%3E%20%3Cpath%20id%3D%22_%22%20data-name%3D%22%3F%22%20d%3D%22M3521%2C5363a8.972%2C8.972%2C0%2C1%2C1%2C3.5-.708A8.934%2C8.934%2C0%2C0%2C1%2C3521%2C5363Zm0-5.5a.75.75%2C0%2C1%2C0%2C.75.75A.751.751%2C0%2C0%2C0%2C3521%2C5357.5Zm0-7.5a2%2C2%2C0%2C0%2C1%2C2%2C2c0%2C.738-.246%2C1.071-.984%2C1.7a4.882%2C4.882%2C0%2C0%2C0-1.179%2C1.294%2C2.947%2C2.947%2C0%2C0%2C0-.336%2C1.507h1c0-.864.207-1.226%2C1.163-2.039a4.351%2C4.351%2C0%2C0%2C0%2C1.029-1.13A2.571%2C2.571%2C0%2C0%2C0%2C3524%2C5352a3%2C3%2C0%2C1%2C0-6%2C0v.5h1v-.5A2%2C2%2C0%2C0%2C1%2C3521%2C5350Z%22%20transform%3D%22translate(-3512%20-5345)%22%20fill%3D%22%23888%22%2F%3E%3C%2Fsvg%3E')
}

.satellite-store__text--store-address-detail{
	margin-top: 1rem;
	font-size: 1.2rem;
	line-height: 1.5;
	color: #888888;
}
@media (min-width: 768px) {
	.m-mystore-page__type-select tr{
		margin-top: 2rem;
		grid-template-columns: repeat(4,minmax(0,1fr));
		gap: .7rem;
	}
	.satellite-store__text--store-address-detail{
		margin-top: .8rem;
		font-size: 1.4rem;
	}
}

.shop-select-error-text{
	text-align: center;
	color: var(--color-attention);
}

.btn-wide-border{
	border: 2px solid var(--color-secondary);
	color: var(--color-secondary);
	font-size: 1.6rem;
	font-weight: bold;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 1rem;
	width: 12.5rem;
	height: 4rem;
	border-radius: 4em;
	margin-inline: auto;
	background-color: #fff;
}
.btn-wide-border.btn-wide-small{
	margin-inline: 0 auto;
	font-size: 1.2rem;
	border: 1px solid var(--color-secondary);
	width: 6rem;
	height: 3rem;
}
.btn-wide-border::before{
	content: '';
	width: .79rem;
	height: 1.3rem;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%227.289%22%20height%3D%2213%22%20viewBox%3D%220%200%207.289%2013%22%3E%20%3Cpath%20id%3D%22%E3%83%91%E3%82%B9_794%22%20data-name%3D%22%E3%83%91%E3%82%B9%20794%22%20d%3D%22M5.664.279.279%2C5.664A.952.952%2C0%2C0%2C0%2C1.625%2C7.01L6.5%2C2.135%2C11.375%2C7.01a.952.952%2C0%2C1%2C0%2C1.346-1.346L7.336.279A.951.951%2C0%2C0%2C0%2C6.5.014a.952.952%2C0%2C0%2C0-.838.265Z%22%20transform%3D%22translate(0%2013)%20rotate(-90)%22%20fill%3D%22%2320afc9%22%2F%3E%3C%2Fsvg%3E');
	background-color: var(--color-secondary);
}
.btn-wide-border.btn-wide-small::before{
	width: .561rem;
	height: 1rem;
}

.satellite-store__button-container{
	margin-top: 3rem;
}

@media (min-width: 768px) {
	.btn-wide-border{
		font-size: 1.8rem;
		width: 16rem;
		height: 4.2rem;
	}
}

@media (hover: hover){
	.btn-wide-border,
	.btn-wide-border::before{
		transition: background-color 0.6s, color 0.6s;
	}
	.btn-wide-border:hover{
		background-color: var(--color-secondary);
		color: #fff;
	}
	.btn-wide-border:hover::before{
		background-color: #fff;
	}

	.button-map-modal,
	.button-map-modal::before{
		transition: all 0.6s;
	}
	.button-map-modal:hover{
		color: #fff;
		background-color: var(--color-secondary);
	}
	.button-map-modal:hover::before{
		background-color: #fff;
	}

}



@media screen and (max-width: 800px) {
	.satellite-store-stock-detail-container .product__variation .product__variation--name1 .swiper {
		overflow-x: auto;
		position: relative;
		padding-inline: 0 !important; 
	}

	.product__variation--name1 .product__variation--selectors {
		display: flex !important;
		flex-wrap: nowrap !important;
		width: max-content !important; 
	}

	.product__variation--name1 .product__variation--selectors::before,
	.product__variation--name1 .product__variation--selectors::after {
		content: "";
		display: block;
		width: 1.5rem;
		flex: 0 0 1.5rem;
		height: 1px;
	}
	.product__variation--name1 .swiper-slide.product__variation--scrollarea{
		padding-right: 1rem;
	}
	.product__variation--name1 .swiper-slide.product__variation--scrollarea:last-child{
		padding-right: 0;
	}

	.product__variation--name1 .product__variation--scrollarea {
		flex: 0 0 auto !important;
		width: auto !important;
	}
}

@media screen and (min-width: 801px) {
	.satellite-store-stock-detail-container .product__variation{
		padding-inline: var(--padding-vertical-general);
	}
	.product__variation--color .product__variation--selectors{
		overflow: auto;
		height: auto;
	}
	.product__variation--color .product__variation--selectors{
		display: grid;
		grid-template-columns: repeat(8,minmax(0,1fr));
		gap: 2rem 1rem;
	}
}

.bg-white {
	background-color: #FFFFFF;
}

